summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAdam Feldman <NP-Hardass@gentoo.org>2020-09-04 14:14:26 -0400
committerAdam Feldman <NP-Hardass@gentoo.org>2020-09-25 16:32:14 -0400
commit14b102187cfb82e8c146a74dc6319262a6ec0570 (patch)
tree3fccffda9b2905fd1e438a0e01848ad2efedb0f8 /mate-extra
parentmate-extra/mate-media: Bump to 1.24.1 (diff)
downloadgentoo-14b102187cfb82e8c146a74dc6319262a6ec0570.tar.gz
gentoo-14b102187cfb82e8c146a74dc6319262a6ec0570.tar.bz2
gentoo-14b102187cfb82e8c146a74dc6319262a6ec0570.zip
mate-extra/mate-power-manager: Bump to 1.24.2
Package-Manager: Portage-2.3.103, Repoman-2.3.23 RepoMan-Options: --force Signed-off-by: Adam Feldman <NP-Hardass@gentoo.org>
Diffstat (limited to 'mate-extra')
-rw-r--r--mate-extra/mate-power-manager/Manifest1
-rw-r--r--mate-extra/mate-power-manager/mate-power-manager-1.24.2.ebuild78
2 files changed, 79 insertions, 0 deletions
diff --git a/mate-extra/mate-power-manager/Manifest b/mate-extra/mate-power-manager/Manifest
index 1a0bbe4794b..fca37bca593 100644
--- a/mate-extra/mate-power-manager/Manifest
+++ b/mate-extra/mate-power-manager/Manifest
@@ -1 +1,2 @@
DIST mate-power-manager-1.24.1.tar.xz 6245524 BLAKE2B b9be1aab7e2f397edba9a681310a9903b11e11abf1af8557c613a1e6bf7b89d5aa495ddfcef4bc23f11aa6aca215b86e3a1c9adfdfd481f0e4353268ca5dd7cd SHA512 57bae519bfa2894bc6923bf0932f823bcabe2dc0de06dc6676597708482b369a24f39bb94558163f0fdcc2d764702b87f58abc1793679a1c7fb7f53be074bae5
+DIST mate-power-manager-1.24.2.tar.xz 6194976 BLAKE2B 6f533f9d6cbe99e9acf6e0fe9deb641e771d38f80add33b1f51aaa27aff46e2bb77d7da60ee7994908667d34b6f05c868472283cf9fd52c251467482c7c64bb3 SHA512 edbad37f41e67219790dfe704936be6fcf1d727cdff3b51cb43234b0d48f53666361d0f048704a594a594b5e124d7d8ea9d626c560cbc23ba4de3dcaafbd55ff
diff --git a/mate-extra/mate-power-manager/mate-power-manager-1.24.2.ebuild b/mate-extra/mate-power-manager/mate-power-manager-1.24.2.ebuild
new file mode 100644
index 00000000000..baec1afd467
--- /dev/null
+++ b/mate-extra/mate-power-manager/mate-power-manager-1.24.2.ebuild
@@ -0,0 +1,78 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit mate
+
+if [[ ${PV} != 9999 ]]; then
+ KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+fi
+
+DESCRIPTION="A session daemon for MATE that makes it easy to manage your laptop or desktop"
+
+LICENSE="FDL-1.1+ GPL-2+ LGPL-2+"
+SLOT="0"
+IUSE="+applet elogind libsecret policykit systemd test"
+
+REQUIRED_USE="?? ( elogind systemd )"
+
+# Interactive testsuite.
+RESTRICT="test"
+
+COMMON_DEPEND="
+ >=dev-libs/dbus-glib-0.70
+ >=dev-libs/glib-2.50:2
+ >=media-libs/libcanberra-0.10:0[gtk3]
+ >=sys-apps/dbus-1
+ >=sys-power/upower-0.99.8:=
+ >=x11-apps/xrandr-1.3
+ >=x11-libs/cairo-1
+ >=x11-libs/gdk-pixbuf-2.11:2
+ >=x11-libs/gtk+-3.22:3
+ x11-libs/libX11
+ x11-libs/libXext
+ x11-libs/libXrandr
+ >=x11-libs/libnotify-0.7:0
+ x11-libs/pango
+ applet? ( >=mate-base/mate-panel-1.17.0 )
+ libsecret? ( >=app-crypt/libsecret-0.11 )
+"
+
+RDEPEND="${COMMON_DEPEND}
+ virtual/libintl
+ policykit? ( >=mate-extra/mate-polkit-1.6 )
+ systemd? ( sys-apps/systemd )
+ !systemd? (
+ elogind? ( sys-auth/elogind )
+ !elogind? ( >=sys-auth/consolekit-0.9.2 )
+ )
+"
+
+DEPEND="${COMMON_DEPEND}
+ app-text/docbook-xml-dtd:4.3
+ app-text/rarian
+ >=app-text/scrollkeeper-dtd-1:1.0
+ app-text/yelp-tools
+ dev-libs/libxml2
+ dev-util/glib-utils
+ >=sys-devel/gettext-0.19.8
+ virtual/pkgconfig
+ x11-base/xorg-proto
+"
+
+PATCHES=( "${FILESDIR}/${PN}-1.24.1-libsecret.patch" )
+
+src_configure() {
+ mate_src_configure \
+ --enable-compile-warnings=minimum \
+ $(use_with libsecret) \
+ $(use_enable applet applets) \
+ $(use_enable test tests)
+}
+
+src_test() {
+ unset DBUS_SESSION_BUS_ADDRESS
+
+ dbus-launch Xemake check || die "Test phase failed"
+}